#pragma once

#include "CoreMinimal.h"
#include "ChallengeViewData.h"
#include "FollowedQuestsTooltipViewData.generated.h"

class UUserWidget;

USTRUCT(BlueprintType)
struct FFollowedQuestsTooltipViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	TArray<FChallengeViewData> Challenges;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	int32 MaxFollowedChallengesCount;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, Instanced)
	UUserWidget* DisplayPrompt;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool ShowBeginnerDescription;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	bool IsDisabled;

	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient)
	FText DisabledText;

public:
	DBDUIVIEWINTERFACES_API FFollowedQuestsTooltipViewData();
};

FORCEINLINE uint32 GetTypeHash(const FFollowedQuestsTooltipViewData) { return 0; }
